--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Escape all regexp special characters.
- !ruby/struct:SM::Flow::VERB 
  body: "  &quot;*?{}.&quot;.escape_regexp   #=&gt; &quot;\\*\\?\\{\\}\\.&quot;\n"
- !ruby/struct:SM::Flow::P 
  body: "@return [String] Receiver with all regexp special characters escaped."
- !ruby/struct:SM::Flow::P 
  body: "@api public"
full_name: String#escape_regexp
is_singleton: false
name: escape_regexp
params: ()
visibility: public
